# $Revision: 1.135 $, $Date: 2012/01/08 20:55:41 $
# TODO:
# - package documents/templates/default
# - cosmetics (sort in %%files and %%install)
# - consider contrib and samples (re)packaging
#
# Conditional build:
%bcond_without	lmsd		# without lmsd daemon
%bcond_with	lmsd_debug	# with lmsd debugging

%define		lmsver		1.11
%define		lmssubver	13
Summary:	LAN Managment System
Summary(pl.UTF-8):	System Zarządzania Siecią Lokalną
Name:		lms
Version:	%{lmsver}.%{lmssubver}
Release:	5
License:	GPL v2
Group:		Networking/Utilities
Source0:	http://www.lms.org.pl/download/%{lmsver}/%{name}-%{version}.tar.gz
# Source0-md5:	294899358ae2585a4030580d79a06ee8
Source1:	%{name}.conf
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-amd64.patch
Patch2:		%{name}-smarty.patch
URL:		http://www.lms.org.pl/
BuildRequires:	bison
BuildRequires:	flex
%{?with_lmsd:BuildRequires:	libgadu-devel}
%{?with_lmsd:BuildRequires:	mysql-devel}
BuildRequires:	net-snmp-devel
%{?with_lmsd:BuildRequires:	postgresql-devel >= 8.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.461
BuildRequires:	yacc
%{?with_lmsd:Requires(post,preun):	/sbin/chkconfig}
Requires:	Smarty >= 2.6.18-2
Requires:	php(gd)
Requires:	php(iconv)
Requires:	php(mbstring)
Requires:	php(mysql)
Requires:	php(pcre)
Requires:	php(posix)
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
Requires:	webserver(php)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_smartyplugindir	%{php_data_dir}/Smarty/plugins
%define		_lmsdir		%{_datadir}/%{name}
%define		_lmsvar		/var/lib/%{name}

%description
This is a package of applications in PHP and Perl for managing LANs.
It's using MySQL or PostgreSQL. The main goal is to get the best
service of users at provider's level. The main features in LMS are:
- database of users (name, surname, address, telephone number,
  commentary),
- database of computers (IP, MAC),
- easy-ridden financial system and funds of network,
- different subscriptions,
- sending warnings to users,
- many levels of access for LMS administrators,
- autogenerating ipchains, iptables, dhcpd, ethers file, oidentd,
  openbsd packet filter configuration files/scripts,
- autogenerating almost any kind of config file using templates.

%description -l pl.UTF-8
"LMS" jest skrótem od "LAN Management System". Jest to zestaw
aplikacji w PHP i Perlu, ułatwiających zarządzanie sieciami
osiedlowymi (popularnie zwanymi Amatorskimi Sieciami Komputerowymi),
opartych o bazę danych MySQL lub PostgreSQL. Główne założenia to
uzyskanie jakości usług oraz obsługi użytkowników na poziomie
providera z prawdziwego zdarzenia. Najbardziej podstawowe cechy LMS
to:
- baza danych użytkowników (imię, nazwisko, adres, numer telefonu,
  uwagi),
- baza danych komputerów (adres IP, adres MAC),
- prowadzenie prostego rachunku operacji finansowych oraz stanu
  funduszów sieci,
- różne taryfy abonamentowe,
- wysyłanie pocztą elektroniczną upomnień do użytkowników,
- automatyczne naliczanie opłat miesięcznych,
- różne poziomy dostępu do funkcji LMS dla administratorów,
- generowanie reguł i plików konfiguracyjnych dla ipchains, iptables,
  dhcpd, oidentd, packet filtra openbsd, wpisów /etc/ethers,
- generowanie praktycznie każdego pliku konfiguracyjnego na podstawie
  danych w bazie przy użyciu prostych szablonów.

%package scripts
Summary:	LAN Managment System - scripts
Summary(pl.UTF-8):	LAN Managment System - skrypty
Group:		Networking/Utilities
Requires:	perl-Config-IniFiles
Requires:	perl-DBI
Requires:	perl-Net-SMTP-Server

%description scripts
This package contains scripts to integrate LMS with your system,
monthly billing, notify users about their debts and cutting off
customers. Also you can build probably any kind of config file using
lms-mgc.

%description scripts -l pl.UTF-8
Ten pakiet zawiera skrypty do zintegrowania LMS z systemem, naliczania
comiesięcznych opłat, powiadamiania użytkowników o ich zadłużeniu oraz
ich automagicznego odłączania. Możesz także zbudować prawdopodobnie
każdy typ pliku konfiguracyjnego przy użyciu lms-mgc.

%package sqlpanel
Summary:	LAN Managment System - sqlpanel module
Summary(pl.UTF-8):	LAN Managment System - moduł sqlpanel
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}

%description sqlpanel
SQL-panel module allows you to execute SQL queries and directly modify
data.

%description sqlpanel -l pl.UTF-8
Moduł 'SQL - panel' daje możliwość bezpośredniego dostępu do bazy
danych poprzez zadawanie zapytań SQL. Wyniki wyświetlane są w formie
tabeli. Ponadto podawany jest czas wykonania zapytania.

%package user
Summary:	LAN Managment System - simple user interface
Summary(pl.UTF-8):	LAN Managment System - prosty interfejs użytkownika
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}

%description user
Simple user interface.

%description user -l pl.UTF-8
Prosty interfejs użytkownika.

%package lmsd
Summary:	LAN Managment System - LMS system backend
Summary(pl.UTF-8):	LAN Managment System - backend systemu LMS
Group:		Networking/Utilities
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Obsoletes:	lms-almsd

%description lmsd
A program to manage the server by creating configuration files based
upon LMS database and restarting selected services.

%description lmsd -l pl.UTF-8
Program zarządzający serwerem poprzez tworzenie plików
konfiguracyjnych na podstawie bazy danych LMS-a i restartowanie
wybranych usług.

%package userpanel
Summary:	LAN Managment System - Userpanel
Summary(pl.UTF-8):	System Zarządzania Siecią Lokalną - Panel Użytkownika
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}

%description userpanel
Userpanel is automated virtual customer service, based on LMS and
using its core features. It enables customers (or it's intended to) to
do review their payments, change their personal details or computer
properties, modify subscriptions, submit problems, track their
requests on Helpdesk and print invoices. It means, it makes a closer
contact with their ISP.

%description userpanel -l pl.UTF-8
Userpanel jest opartą na szkielecie LMS (i ściśle z LMS
współpracującą) implementacją tzw. e-boku. Umożliwia (albo będzie
umożliwiał) klientom przeglądanie stanu swoich wpłat, zmianę swoich
danych osobowych, edycję właściwości swoich komputerów, zmianę taryf,
zgłaszanie błędów oraz awarii do Helpdesku, wydruk faktur oraz
formularza przelewu.

%prep
%setup -q -n %{name}
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif
%patch2 -p1

mkdir smarty-plugins
%{__mv} \
	lib/Smarty/plugins/block.t.php \
	lib/Smarty/plugins/function.{bankaccount,gentime,handle,memory,number,size,sum,tip}.php \
	lib/Smarty/plugins/modifier.{money_format,striphtml,to_words}.php \
	smarty-plugins
%{__rm} -r lib/Smarty

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 %{__rm}

%build
%if %{with lmsd}
cd daemon

./configure --with-mysql %{?with_lmsd_debug:--enable-debug0 --enable-debug1}
%{__make} \
	CC='%{__cc}' \
	CFLAGS='%{rpmcflags} -fPIC -DUSE_MYSQL -DLMS_LIB_DIR=\"%{_libdir}/lms/\" -I../..'
mv lmsd lmsd-mysql

./configure --with-pgsql %{?with_lmsd_debug:--enable-debug0 --enable-debug1}
%{__make} lmsd \
	CC='%{__cc}' \
	CFLAGS='%{rpmcflags} -fPIC -DUSE_PGSQL -DLMS_LIB_DIR=\"%{_libdir}/lms/\" -I../..'
mv lmsd lmsd-pgsql

CFLAGS="%{rpmcflags}" %{__make} -j1 -C modules/parser \
	CC='%{__cc}'

cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir}/%{name},%{_webapps}/%{_webapp}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,lms/modules} \
	$RPM_BUILD_ROOT%{_smartyplugindir} \
	$RPM_BUILD_ROOT%{_lmsdir}/{lms,userpanel,www/{doc,user,userpanel/modules}} \
	$RPM_BUILD_ROOT%{_lmsvar}/{backups,documents,templates_c,userpanel/templates_c}

cp -a *.php img $RPM_BUILD_ROOT%{_lmsdir}/www
cp -a doc/html $RPM_BUILD_ROOT%{_lmsdir}/www/doc
cp -a contrib lib modules sample templates $RPM_BUILD_ROOT%{_lmsdir}
cp -a smarty-plugins/* $RPM_BUILD_ROOT%{_smartyplugindir}
cp -a bin/* $RPM_BUILD_ROOT%{_sbindir}

%{__mv} $RPM_BUILD_ROOT{%{_lmsdir}/sample/%{name}.ini,%{_sysconfdir}}

install %{SOURCE1} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/httpd.conf

# sqlpanel
%{__mv} $RPM_BUILD_ROOT%{_lmsdir}/{contrib/sqlpanel/sql*.php,modules}
%{__mv} $RPM_BUILD_ROOT%{_lmsdir}/{contrib/sqlpanel/*.html,templates}

# user
%{__mv} $RPM_BUILD_ROOT%{_lmsdir}/{contrib/customer/*,www/user}

# daemon
%if %{with lmsd}
install daemon/lmsd-*sql $RPM_BUILD_ROOT%{_sbindir}
install daemon/modules/*/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}
for module in dns ggnotify notify; do
	cp -a daemon/modules/$module/sample $RPM_BUILD_ROOT%{_sysconfdir}/modules/$module
done
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/lmsd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
%endif

#userpanel
cp -a userpanel/{lib,modules,templates} $RPM_BUILD_ROOT%{_lmsdir}/userpanel
cp -a userpanel/{index.php,style} $RPM_BUILD_ROOT%{_lmsdir}/www/userpanel
ln -s %{_lmsdir}/www/userpanel/style	$RPM_BUILD_ROOT%{_lmsdir}/userpanel
ln -s %{_lmsvar}/userpanel/templates_c	$RPM_BUILD_ROOT%{_lmsdir}/userpanel

for MODULE in $RPM_BUILD_ROOT%{_lmsdir}/userpanel/modules/*; do
	MODULE=$(basename $MODULE)
	mkdir $RPM_BUILD_ROOT%{_lmsdir}/www/userpanel/modules/$MODULE
	ln -s %{_lmsdir}/userpanel/modules/$MODULE/style \
		$RPM_BUILD_ROOT%{_lmsdir}/www/userpanel/modules/$MODULE
done

%clean
rm -rf $RPM_BUILD_ROOT

%post lmsd
/sbin/chkconfig --add lmsd
%service lmsd restart "lmsd daemon"

%preun lmsd
if [ "$1" = "0" ]; then
	%service lmsd stop
	/sbin/chkconfig --del lmsd
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc doc/{AUTHORS,ChangeLog,INSTALL,README*,lms*}
%dir %{_sysconfdir}
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.ini
%dir %attr(750,root,http) %{_webapps}/%{_webapp}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/httpd.conf
%{_smartyplugindir}/*.php
#
%dir %{_lmsvar}
%attr(770,root,http) %{_lmsvar}/backups
%attr(770,root,http) %{_lmsvar}/documents
%attr(770,root,http) %{_lmsvar}/templates_c
#
%dir %{_lmsdir}
%{_lmsdir}/lib
%{_lmsdir}/modules
%exclude %{_lmsdir}/modules/sql.php
%exclude %{_lmsdir}/modules/sqllang.php
%{_lmsdir}/templates
%exclude %{_lmsdir}/templates/sql.html
%exclude %{_lmsdir}/templates/sqlprint.html
%{_lmsdir}/www
%exclude %{_lmsdir}/www/user
%exclude %{_lmsdir}/www/userpanel
%{_lmsdir}/contrib
%dir %{_lmsdir}/sample
%{_lmsdir}/sample/crontab-entry
%{_lmsdir}/sample/lms-mgc*.ini
%{_lmsdir}/sample/*.conf
%{_lmsdir}/sample/*.txt
%{_lmsdir}/sample/rc.lmsd
%{_lmsdir}/sample/rc.reminder_1st
%attr(755,root,root) %{_lmsdir}/sample/traffic_ipt.pl

%files scripts
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/lms-*

%files sqlpanel
%defattr(644,root,root,755)
%{_lmsdir}/modules/sql.php
%{_lmsdir}/modules/sqllang.php
%{_lmsdir}/templates/sql.html
%{_lmsdir}/templates/sqlprint.html

%files user
%defattr(644,root,root,755)
%{_lmsdir}/www/user

%if %{with lmsd}
%files lmsd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/lmsd-*sql
%dir %{_libdir}/lms
%attr(755,root,root) %{_libdir}/lms/*.so
%attr(754,root,root) /etc/rc.d/init.d/lmsd
# XXX: dir shared with base
%dir %{_sysconfdir}
%dir %{_sysconfdir}/modules
%{_sysconfdir}/modules/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%endif

%files userpanel
%defattr(644,root,root,755)
%dir %{_lmsdir}/userpanel
%{_lmsdir}/userpanel/lib
%{_lmsdir}/userpanel/modules
%{_lmsdir}/userpanel/templates
%{_lmsdir}/userpanel/templates_c
%{_lmsdir}/userpanel/style
%dir %{_lmsdir}/www/userpanel
%{_lmsdir}/www/userpanel/style
%{_lmsdir}/www/userpanel/index.php
%dir %{_lmsvar}/userpanel
%attr(770,root,http) %{_lmsvar}/userpanel/templates_c

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lms.spec,v $
Revision 1.135  2012/01/08 20:55:41  gotar
- remove lmsd* from scripts subpackage, list them once in lmsd only, rel. 5

Revision 1.134  2012/01/08 20:31:03  gotar
- restored one directory, rel. 4

Revision 1.133  2012/01/08 20:26:22  gotar
- make -j1 parser module

Revision 1.132  2012/01/08 20:18:26  gotar
- build parser (tscript) module, fixed typos (it's noTiFy not noFiTy!),
- preserve timestamps, do not duplicate packaged contrib files (+sqllang),
- use more shell patterns and macros for commands that might be interactive,
- tons of cosmetics, rel. 3

Revision 1.131  2011/07/30 19:52:46  arekm
- release 2

Revision 1.130  2011/04/09 10:06:26  paszczus
- updated to 1.11.13
- removed Patch3 and Patch4, applied upstream

Revision 1.129  2011/04/07 06:10:29  paszczus
- added lms-promotionlist.php.patch; rel 3

Revision 1.128  2011/03/31 18:12:06  arekm
- release 2

Revision 1.127  2011/03/30 10:50:09  paszczus
- removed outdated patches
- added lms-quicksearch.php.patch

Revision 1.126  2011/03/20 16:25:44  gzohop
- file permisions

Revision 1.125  2011/03/20 14:37:20  gzohop
- up to 1.11.12
- dropped lms-language.patch, lms-sqlqueryfix.patch, not needed anymore
- updated lms-PLD.patch includes user and userpanel files
- added userpanel package, included in lms since 1.11.4

Revision 1.124  2011/02/18 09:27:33  paszczus
- added Patch4: lms-language.php.patch from http://cvs.lms.org.pl/viewvc/Development/lms/lib/language.php?r1=1.55&r2=1.56 (Fixed UI language setting when HTTP_ACCEPT_LANGUAGE is not set)

Revision 1.123  2011/02/18 08:23:46  paszczus
- added lmsd_debug (disabled by default)
- rel 4

Revision 1.122  2011/02/11 11:08:49  paszczus
- fixed init script; rel 3

Revision 1.121  2011/02/02 06:40:44  glen
- fix lms.x86_64: E: backup-file-in-package /usr/share/lms/contrib/customer_otherip/class.php.orig

Revision 1.120  2011/01/29 20:52:22  paszczus
- added missing memory function for Smarty

Revision 1.119  2011/01/29 19:14:33  paszczus
- added Patch3: lms-sqlqueryfix.patch

Revision 1.118  2011/01/17 14:34:22  paszczus
- updated to 1.11.11

Revision 1.117  2010/11/15 11:14:58  paszczus
- release 2

Revision 1.116  2010/09/09 11:53:55  paszczus
- added missing Rs: php(mbstring,mysql)

Revision 1.115  2010/09/09 10:13:48  paszczus
- added missing R: webserver(access,alias)

Revision 1.114  2010/09/08 10:28:18  paszczus
- updated for 1.11.10 (Kri)

Revision 1.113  2010/06/06 14:48:35  arekm
- release 2

Revision 1.112  2010/04/06 14:29:04  sparky
- BR: net-snmp-devel, yacc

Revision 1.111  2010/04/02 07:03:02  dzeus
- up to 1.10.7 (Sina)

Revision 1.110  2009/04/09 10:06:09  dzeus
- up to 1.10.6 (Hank)

Revision 1.109  2008/11/13 22:17:43  dzeus
- up to 1.10.5 (Neith)

Revision 1.108  2008/06/17 05:29:17  glen
- use %php_data_dir macro

Revision 1.107  2008/05/07 18:58:54  dzeus
- uo to 1.10.4 (Pyrus)

Revision 1.106  2008-02-11 20:37:07  dzeus
- up to 1.10.3

Revision 1.105  2008-02-06 21:19:00  glen
- rel 3

Revision 1.104  2008-02-06 20:21:07  glen
- never use '<=' in trigger comparision (well just drop old triggers); rel 2

Revision 1.103  2007-12-16 22:37:07  dzeus
- up to 1.10.2

Revision 1.102  2007-11-18 18:08:37  arekm
- rel 2

Revision 1.101  2007-11-11 09:35:16  dzeus
- up to 1.10.1

Revision 1.100  2007/10/27 18:31:31  dzeus
- missing function.gentime.php smarty plugin

Revision 1.99  2007/10/27 17:36:41  dzeus
- missing patch2

Revision 1.98  2007/10/27 15:29:45  dzeus
- up to 1.10.0

Revision 1.97  2007/09/12 19:18:42  kosmo
- updated to 1.10.0rc3

Revision 1.96  2007/08/08 15:50:36  luzik
- updated to 1.9.8

Revision 1.95  2007/06/23 07:38:57  dzeus
- up to 1.9.7

Revision 1.94  2007/05/14 22:00:36  baseciq
- typo in URL

Revision 1.93  2007/03/01 19:51:24  dzeus
- up to 1.9.5
- new homepage URL

Revision 1.92  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.91  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.90  2006/11/21 19:56:48  glen
- rel 2: use php(extension) virtuals

Revision 1.89  2006/10/09 20:06:09  glen
- don't package traffic_ipt.pl twice

Revision 1.88  2006/10/09 20:01:54  glen
- use system Smarty

Revision 1.87  2006/10/06 19:57:00  dzimi
- update to lms 1.9.3
- remove Smarty requires

Revision 1.86  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.85  2006/09/05 20:50:46  dzeus
- up to 1.8.6

Revision 1.84  2006/07/26 20:56:50  dzeus
- up to 1.8.5

Revision 1.83  2006/06/16 22:46:58  dzeus
- up to 1.8.4

Revision 1.82  2006/05/31 16:43:48  dzeus
- up to 1.8.3

Revision 1.81  2006/05/28 18:31:31  qboosh
- missing dir in -lmsd, -scripts no longer own /usr/sbin
- moved R: rc-scripts to proper place
- pl fix

Revision 1.80  2006/05/28 16:24:37  shadzik
- use %{_sysconfdir} in lmsd files section

Revision 1.79  2006/05/28 13:02:24  krystian
- fixes in %files lmsd

Revision 1.78  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.77  2006/02/11 16:26:46  orzech
- one more path fixed, works fine, rel.1

Revision 1.76  2006/02/11 09:54:11  orzech
- lmsd doesn't req. main lms package

Revision 1.75  2006/02/04 17:20:43  orzech
- up to 1.8.0

Revision 1.74  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.73  2006/01/30 00:08:01  glen
- proper requires for Smarty in new path

Revision 1.72  2006/01/29 23:57:54  glen
- fixed Smarty paths
- use webaps
- rel 2

Revision 1.71  2006/01/26 01:19:48  glen
- en corrections
- add INSTALL to %doc (contains important information where to start)
- possible amd64 install fixes

Revision 1.70  2005/12/15 16:41:04  dzeus
- up to 1.6.6

Revision 1.69  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.68  2005/11/06 20:23:01  dzeus
- reverted upgrade to 1.7.4 (ver 1.7.x mv to DEVEL), up to 1.6.5

Revision 1.67  2005/11/06 00:16:15  chomar
- updated to 1.7.4

Revision 1.66  2005/10/30 20:46:12  dzeus
- up to 1.6.5 (Druhin)

Revision 1.65  2005/10/27 17:44:47  arekm
- rel 2

Revision 1.64  2005/09/29 22:09:27  dzeus
- up to 1.6.4

Revision 1.63  2005/08/23 16:21:32  dzeus
- up to 1.6.3 (security update)

Revision 1.62  2005/08/11 15:20:59  dzeus
- up to 1.6.2

Revision 1.61  2005/07/19 12:00:24  snurf
- added missing requires
  (Iconv support is required by 'server_encoding' option!)

Revision 1.60  2005/07/19 05:46:41  qboosh
- -lmsd Obsoletes: lms-almsd

Revision 1.59  2005/07/18 23:15:59  japhy
- Calendar fix (Michal Kowalczuk)

Revision 1.58  2005/07/18 22:45:26  ankry
- changelog is language independent - so it should be in ASCII

Revision 1.57  2005/07/18 22:41:15  japhy
- Oops, UTF in commitlog

Revision 1.56  2005/07/18 22:33:33  japhy
- Updated to 1.6.1, fixed (Michal Kowalczuk)

Revision 1.55  2005/06/15 21:12:57  hunter
- upgraded patches

Revision 1.54  2005/06/15 20:31:06  hunter
- up to 1.6.0

Revision 1.53  2005/05/11 14:19:33  qboosh
- more general lib64 if

Revision 1.52  2005/05/03 13:00:14  dzeus
- up to 1.4.5 Persus

Revision 1.51  2005/03/24 10:29:26  dzeus
- rel. 2 for rebuild with mysql-4.1

Revision 1.50  2005/03/23 12:35:34  gotar
- %desc

Revision 1.49  2005/03/06 11:37:30  dzeus
- reverted version 1.5 (DEVEL), up to 1.4.4

Revision 1.48  2005/02/13 20:46:53  wolvverine
- NFY not tested
- add md5sum

Revision 1.47  2005/02/13 20:41:45  wolvverine
- NFY not tested
- up to 1.5.3

Revision 1.46  2005/02/12 19:43:52  arekm
- rel 1 (todo items say that these are cosmetic)

Revision 1.45  2005/01/24 07:31:29  djrzulf
- it almost ready, but somebody can explain `TODO' ?
- md5updated,
- Rel 0.9,
- STBR for AC-TEST,

Revision 1.44  2005/01/24 07:26:04  djrzulf
- updated to 1.4.3,

Revision 1.43  2005/01/06 05:27:57  djrzulf
- started update to 1.4.2,

Revision 1.42  2004/12/13 19:44:33  paszczus
- updated to 1.4.1

Revision 1.41  2004/10/26 21:38:07  orzech
- fixed calendar, rel.2, STBR

Revision 1.40  2004/10/18 20:35:37  domelu
- TODO-done: ,,almsd description''

Revision 1.39  2004/10/18 20:32:34  ankry
- formatting

Revision 1.38  2004/10/18 20:28:28  qboosh
- missing desc, strict internal deps

Revision 1.37  2004/10/18 18:24:35  averne
- works fine

Revision 1.36  2004/10/18 09:23:41  domelu
- typo

Revision 1.35  2004/10/18 09:22:24  domelu
- summary and pl description for almsd

Revision 1.34  2004/10/15 14:18:30  averne
- updated to 1.4.0

Revision 1.31.2.49  2004/10/11 21:08:55  domelu
- chmod 755 traffic_ipt.sh

Revision 1.31.2.48  2004/10/11 19:31:32  domelu
- R: php-gd

Revision 1.31.2.47  2004/10/08 20:49:06  domelu
- TODO-done: ,,fix pinger.c (daemon/modules/pinger)''

Revision 1.31.2.46  2004/10/08 20:47:46  domelu
- lms-pinger.patch

Revision 1.31.2.45  2004/10/08 10:48:18  domelu
- TODO-done ,,fix lms-amd64.patch''

Revision 1.31.2.44  2004/10/08 07:53:35  averne
- -fPIC

Revision 1.31.2.43  2004/10/08 01:59:25  domelu
- TODO done: contrib stuff, samples
- TODO: contrib split

Revision 1.31.2.42  2004/10/08 01:54:33  domelu
- lms-almsd package: added doc (lms.ini.sample, TODO)

Revision 1.31.2.41  2004/10/08 01:23:02  domelu
- TODO: samples
- typo in TODO and changelog

Revision 1.31.2.40  2004/10/08 01:19:14  domelu
- added /etc/lms/modules/{dns,nofity,ggnofity}
- TODO: contrib stuff
  fix pinger.c (daemon/modules/pinger)

Revision 1.31.2.39  2004/10/07 20:53:04  domelu
- revert my revert ;)

Revision 1.31.2.38  2004/10/07 20:23:36  ankry
- restored cleaning: description formatting, spaces -> tabs; restored changelog entry

Revision 1.31.2.37  2004/10/07 20:16:58  domelu
- /etc/rc.d/init.d/alsd -> lmds (tx ares)

Revision 1.31.2.36  2004/10/07 19:51:27  domelu
- and again ;)

Revision 1.31.2.35  2004/10/07 19:45:56  domelu
- typo in post and preun

Revision 1.31.2.34  2004/10/07 19:01:05  domelu
- cosmetics

Revision 1.31.2.33  2004/10/07 18:59:49  domelu
- grr, revert ,,- cleanups; now it builds''

Revision 1.31.2.32  2004/10/07 18:41:40  paszczus
- cleanups; now it builds

Revision 1.31.2.31  2004/10/07 18:40:57  domelu
- typo

Revision 1.31.2.30  2004/10/07 18:36:38  domelu
- rel. 0.7.1

Revision 1.31.2.29  2004/10/07 18:35:22  domelu
- chkconfig stuff

Revision 1.31.2.28  2004/10/07 18:00:34  domelu
- rel. 0.7

Revision 1.31.2.27  2004/10/07 17:58:21  domelu
- lms.init for almsd daemon
- lms.sysconfig for almsd daemon
- sort Group/Requires
- fixed almsd bcond
- install -d cosmetics
- almsd-mysql and almsd-pgsql moved to sbindir
- chmod 755 /usr/lib/lms/*.so

Revision 1.31.2.26  2004/10/07 14:53:57  domelu
- scripts moved to sbindir

Revision 1.31.2.25  2004/10/07 14:14:41  domelu
- TODO: lms.init and lms.sysconfig for almsd

Revision 1.31.2.24  2004/10/07 07:32:03  domelu
- removed install contrib/*

Revision 1.31.2.23  2004/10/07 07:27:36  domelu
- bcond almsd fixes

Revision 1.31.2.22  2004/10/07 07:15:18  domelu
- added bcond almsd (build wuth almsd daemon, default --with)

Revision 1.31.2.21  2004/10/07 07:00:47  domelu
- fixed trigger

Revision 1.31.2.20  2004/10/07 06:46:59  domelu
- fix in TODO

Revision 1.31.2.19  2004/10/07 06:15:25  domelu
- added UPGRADE* to doc

Revision 1.31.2.18  2004/10/07 06:10:30  domelu
- rel. 0.3

Revision 1.31.2.17  2004/10/07 06:09:01  domelu
- trigger (upgrade from old 1.0.4)

Revision 1.31.2.16  2004/10/07 05:59:08  domelu
- removed upgrade package

Revision 1.31.2.15  2004/10/04 01:12:46  domelu
- done some todo things (fixed lms.ini and added upgrade package)
- TODO:
  almsd and upgrade description
  cosmetics (sort in %files, %install)

Revision 1.31.2.14  2004/10/04 00:22:51  domelu
- TODO (tx gaber):
  tigger (upgrade from old 1.0.4)
  lms-upgrade package
  fix lms-PLD.patch (paths in lms.ini)

Revision 1.31.2.13  2004/10/03 11:07:56  domelu
- %install added contrib, sorted

Revision 1.31.2.12  2004/10/03 03:33:07  domelu
- TODO: fix lms-amd64.patch

Revision 1.31.2.11  2004/10/03 02:26:24  domelu
- lms-PLD.patch

Revision 1.31.2.10  2004/10/03 00:42:02  domelu
- amd64 fix

Revision 1.31.2.9  2004/10/02 19:27:44  domelu
- config_templates cosmetics
- added config_templates to %files

Revision 1.31.2.8  2004/09/30 11:41:33  domelu
- lms.conf things in %post and %preun
- lms.conf patch fix

Revision 1.31.2.7  2004/09/30 11:22:53  domelu
- lms.conf patch, /etc/httpd/httpd.conf/ -> /etc/httpd/

Revision 1.31.2.6  2004/09/30 11:06:09  domelu
- config_templates
- SOURCES/lms.conf

Revision 1.31.2.5  2004/09/22 05:43:19  orzech
- up to 1.5.0

Revision 1.31.2.4  2004/09/12 10:08:29  orzech
- almsd for pgsql

Revision 1.31.2.3  2004/09/01 22:17:54  orzech
- testing 1.3.6

Revision 1.31.2.2  2004/08/14 11:49:38  orzech
- subpackages

Revision 1.31.2.1  2004/07/31 19:18:33  orzech
- testing 1.3.5

Revision 1.31  2003/12/12 04:02:58  baseciq
- up to 1.0.4
- fixed descriptions
- maybe someone can look at lms-1.1.x and make .spec for it?

Revision 1.30  2003/08/30 02:21:31  baseciq
- up to 1.0.3

Revision 1.29  2003/08/20 20:58:32  undefine
- update to 1.0.2

Revision 1.28  2003/08/18 08:08:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/06/30 08:10:10  baseciq
- up: 1.0.1
- rel 1

Revision 1.26  2003/06/12 22:39:06  baseciq
- sync up to 1.0.0 (latest stable version)

Revision 1.25  2003/05/28 12:59:37  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 05:50:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/05/04 18:01:55  djrzulf
- %doc updated

Revision 1.22  2003/04/28 12:29:51  baseciq
- added missing br: php-pcre (tnx byko)

Revision 1.21  2003/04/15 08:25:47  qboosh
- missing defattr for scripts, cosmetics in scripts description

Revision 1.20  2003/04/15 07:37:23  djrzulf
- added sugestion

Revision 1.19  2003/04/15 04:16:47  baseciq
- moved perl scripts into separated package

Revision 1.18  2003/04/14 23:00:18  baseciq
- another reorganization
- don't change default macros like localstate and etc, just define
  _sharedstatedir that already in rpm-build-4.1.x
- pre10
- cosmetics

Revision 1.17  2003/04/14 22:07:27  djrzulf
- reorganization

Revision 1.16  2003/04/09 10:15:32  baseciq
- LMS doesn't depend on some particular database, so we shouldn't require
  mysql or postgresql, and even drivers (are they provide: something like
  sqlserver or database server?)

Revision 1.15  2003/04/09 06:25:40  djrzulf
- updated

Revision 1.14  2003/04/09 05:36:17  pbern
- update to pre8
- force to use Smarty >= 2.4.2

Revision 1.13  2003/03/31 12:48:47  qboosh
- missing dir (%{_sysconfdir}/%{name})

Revision 1.12  2003/03/29 22:11:21  mwinkler
- next bug fixed, now works

Revision 1.11  2003/03/29 21:43:19  mwinkler
- templates fix

Revision 1.10  2003/03/29 21:28:57  mwinkler
- update to 1.0pre7
- simplifications & cleaning

Revision 1.9  2003/03/19 09:34:13  djrzulf
- change requires

Revision 1.8  2003/03/17 17:28:56  pbern
- update to 1.0pre6

Revision 1.7  2003/02/25 21:40:48  djrzulf
- release 0.4,
- added conf files,

Revision 1.6  2003/02/25 21:31:04  djrzulf
- cosmetics, release 0.3

Revision 1.5  2003/02/25 14:51:20  qboosh
- en fixes, removed second Log
- moved /var/lms to FHS-compliant /var/lib/lms

Revision 1.4  2003/02/24 21:53:10  djrzulf
- cosmetics (part2)

Revision 1.3  2003/02/24 16:17:44  djrzulf
- cosmetics

Revision 1.2  2003/02/24 09:47:09  djrzulf
- updated description - somebody who know english - check it,
- changes source to without libs,
- added 2 Requries,
- Release 0.2,

Revision 1.1  2003/02/19 08:39:49  djrzulf
- initial PLD release (0.1)
